Bug 17804 - Remove some modules from showdiffmarc.pl
Summary: Remove some modules from showdiffmarc.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-21 13:13 UTC by Marcel de Rooy
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17804: Remove some modules from showdiffmarc.pl (2.19 KB, patch)
2016-12-21 13:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17804: Remove some modules from showdiffmarc.pl (2.22 KB, patch)
2016-12-21 20:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17804: Remove some modules from showdiffmarc.pl (2.28 KB, patch)
2016-12-23 10:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-12-21 13:13:12 UTC

    
Comment 1 Marcel de Rooy 2016-12-21 13:19:55 UTC
Created attachment 58339 [details] [review]
Bug 17804: Remove some modules from showdiffmarc.pl

Remove DBI, LibXML, LibXSLT.
Add CGI's -utf8 flag.
Few whitespace changes.

Test plan:
[1] Export an existing record to marcxml.
[2] Edit the file, make some small changes.
[3] Import it again, use a matching rule.
[4] Check the diff on Manage staged. (Here is showdiffmarc.pl)
Comment 2 Owen Leonard 2016-12-21 20:26:35 UTC
Created attachment 58370 [details] [review]
[SIGNED-OFF] Bug 17804: Remove some modules from showdiffmarc.pl

Remove DBI, LibXML, LibXSLT.
Add CGI's -utf8 flag.
Few whitespace changes.

Test plan:
[1] Export an existing record to marcxml.
[2] Edit the file, make some small changes.
[3] Import it again, use a matching rule.
[4] Check the diff on Manage staged. (Here is showdiffmarc.pl)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2016-12-23 10:13:40 UTC
Created attachment 58411 [details] [review]
Bug 17804: Remove some modules from showdiffmarc.pl

Remove DBI, LibXML, LibXSLT.
Add CGI's -utf8 flag.
Few whitespace changes.

Test plan:
[1] Export an existing record to marcxml.
[2] Edit the file, make some small changes.
[3] Import it again, use a matching rule.
[4] Check the diff on Manage staged. (Here is showdiffmarc.pl)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-12-23 11:26:44 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 5 Katrin Fischer 2016-12-27 21:57:19 UTC
This looks more like an enhancement of the code. Please let me know if you disagree.